Description

when a host and hostgroup disagree on an environment, and the host current class does not include all hostgroup classes, foreman

should not include the missing classes from the hostgroup.

Associated revisions

Revision fd30481b - 01/30/2013 07:26 AM - Ohad Levy

fixes #2124 - only include classes from the host current environment.

This patch introduce a new setting, which decide how would foreman

address a mismatch between host and hostgruop environments.

for example, when puppet classes (directly or indirectly via hostgroups) that do not

belongs to the host current environment, they would silently removed from

the class list that foreman suggests as an ENC.

NOTE: this only effects the new ENC output (/w param classes).

History

#1 - 01/21/2013 05:06 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

https://github.com/theforeman/foreman/pull/382

#2 - 01/30/2013 07:26 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Applied in changeset fd30481bf1947ae34b3984959a2b19c085e26d2a.
